IndexClause (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class IndexClause

- java.lang.Object
- - org.apache.cassandra.thrift.IndexClause

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<IndexClause>, org.apache.thrift.TBase<IndexClause,IndexClause._Fields>

  Deprecated.
  use a KeyRange with row_filter in get_range_slices instead

      public class IndexClause
      extends java.lang.Object
      implements org.apache.thrift.TBase<IndexClause,IndexClause._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<IndexClause>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IndexClause._Fields` Deprecated. The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `count` Deprecated.
    `java.util.List<IndexExpression>` | `expressions` Deprecated.
    `static java.util.Map<IndexClause._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap` Deprecated.
    `java.nio.ByteBuffer` | `start_key` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexClause()` Deprecated.
    `IndexClause(IndexClause other)` Deprecated. Performs a deep copy on other.
    `IndexClause(java.util.List<IndexExpression> expressions, java.nio.ByteBuffer start_key, int count)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToExpressions(IndexExpression elem)` Deprecated.
    `java.nio.ByteBuffer` | `bufferForStart_key()` Deprecated.
    `void` | `clear()` Deprecated.
    `int` | `compareTo(IndexClause other)` Deprecated.
    `IndexClause` | `deepCopy()` Deprecated.
    `boolean` | `equals(IndexClause that)` Deprecated.
    `boolean` | `equals(java.lang.Object that)` Deprecated.
    `IndexClause._Fields` | `fieldForId(int fieldId)` Deprecated.
    `int` | `getCount()` Deprecated.
    `java.util.List<IndexExpression>` | `getExpressions()` Deprecated.
    `java.util.Iterator<IndexExpression>` | `getExpressionsIterator()` Deprecated.
    `int` | `getExpressionsSize()` Deprecated.
    `java.lang.Object` | `getFieldValue(IndexClause._Fields field)` Deprecated.
    `byte[]` | `getStart_key()` Deprecated.
    `int` | `hashCode()` Deprecated.
    `boolean` | `isSet(IndexClause._Fields field)` Deprecated. Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCount()` Deprecated. Returns true if field count is set (has been assigned a value) and false otherwise
    `boolean` | `isSetExpressions()` Deprecated. Returns true if field expressions is set (has been assigned a value) and false otherwise
    `boolean` | `isSetStart_key()` Deprecated. Returns true if field start_key is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)` Deprecated.
    `IndexClause` | `setCount(int count)` Deprecated.
    `void` | `setCountIsSet(boolean value)` Deprecated.
    `IndexClause` | `setExpressions(java.util.List<IndexExpression> expressions)` Deprecated.
    `void` | `setExpressionsIsSet(boolean value)` Deprecated.
    `void` | `setFieldValue(IndexClause._Fields field, java.lang.Object value)` Deprecated.
    `IndexClause` | `setStart_key(byte[] start_key)` Deprecated.
    `IndexClause` | `setStart_key(java.nio.ByteBuffer start_key)` Deprecated.
    `void` | `setStart_keyIsSet(boolean value)` Deprecated.
    `java.lang.String` | `toString()` Deprecated.
    `void` | `unsetCount()` Deprecated.
    `void` | `unsetExpressions()` Deprecated.
    `void` | `unsetStart_key()` Deprecated.
    `void` | `validate()` Deprecated.
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### expressions

          public java.util.List<IndexExpression> expressions

      Deprecated.

    - #### start_key

          public java.nio.ByteBuffer start_key

      Deprecated.

    - #### count

          public int count

      Deprecated.

    - #### metaDataMap

          public static final java.util.Map<IndexClause._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

      Deprecated.

  - ### Constructor Detail

    - #### IndexClause

          public IndexClause()

      Deprecated.

    - #### IndexClause

          public IndexClause(java.util.List<IndexExpression> expressions,
                             java.nio.ByteBuffer start_key,
                             int count)

      Deprecated.

    - #### IndexClause

          public IndexClause(IndexClause other)

      Deprecated.
      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public IndexClause deepCopy()

      Deprecated.
      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<IndexClause,IndexClause._Fields>`

    - #### clear

          public void clear()

      Deprecated.
      Specified by:
        `clear` in interface `org.apache.thrift.TBase<IndexClause,IndexClause._Fields>`

    - #### getExpressionsSize

          public int getExpressionsSize()

      Deprecated.

    - #### getExpressionsIterator

          public java.util.Iterator<IndexExpression> getExpressionsIterator()

      Deprecated.

    - #### addToExpressions

          public void addToExpressions(IndexExpression elem)

      Deprecated.

    - #### getExpressions

          public java.util.List<IndexExpression> getExpressions()

      Deprecated.

    - #### setExpressions

          public IndexClause setExpressions(java.util.List<IndexExpression> expressions)

      Deprecated.

    - #### unsetExpressions

          public void unsetExpressions()

      Deprecated.

    - #### isSetExpressions

          public boolean isSetExpressions()

      Deprecated.
      Returns true if field expressions is set (has been assigned a value) and false otherwise

    - #### setExpressionsIsSet

          public void setExpressionsIsSet(boolean value)

      Deprecated.

    - #### getStart_key

          public byte[] getStart_key()

      Deprecated.

    - #### bufferForStart_key

          public java.nio.ByteBuffer bufferForStart_key()

      Deprecated.

    - #### setStart_key

          public IndexClause setStart_key(byte[] start_key)

      Deprecated.

    - #### setStart_key

          public IndexClause setStart_key(java.nio.ByteBuffer start_key)

      Deprecated.

    - #### unsetStart_key

          public void unsetStart_key()

      Deprecated.

    - #### isSetStart_key

          public boolean isSetStart_key()

      Deprecated.
      Returns true if field start_key is set (has been assigned a value) and false otherwise

    - #### setStart_keyIsSet

          public void setStart_keyIsSet(boolean value)

      Deprecated.

    - #### getCount

          public int getCount()

      Deprecated.

    - #### setCount

          public IndexClause setCount(int count)

      Deprecated.

    - #### unsetCount

          public void unsetCount()

      Deprecated.

    - #### isSetCount

          public boolean isSetCount()

      Deprecated.
      Returns true if field count is set (has been assigned a value) and false otherwise

    - #### setCountIsSet

          public void setCountIsSet(boolean value)

      Deprecated.

    - #### setFieldValue

          public void setFieldValue(IndexClause._Fields field,
                                    java.lang.Object value)

      Deprecated.
      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<IndexClause,IndexClause._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(IndexClause._Fields field)

      Deprecated.
      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<IndexClause,IndexClause._Fields>`

    - #### isSet

          public boolean isSet(IndexClause._Fields field)

      Deprecated.
      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<IndexClause,IndexClause._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Deprecated.
      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(IndexClause that)

      Deprecated.

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(IndexClause other)

      Deprecated.
      Specified by:
        `compareTo` in interface `java.lang.Comparable<IndexClause>`

    - #### fieldForId

          public IndexClause._Fields fieldForId(int fieldId)

      Deprecated.
      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<IndexClause,IndexClause._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Deprecated.
      Specified by:
        `read` in interface `org.apache.thrift.TBase<IndexClause,IndexClause._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Deprecated.
      Specified by:
        `write` in interface `org.apache.thrift.TBase<IndexClause,IndexClause._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Deprecated.
      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation